#!/bin/sh
# Get Normalized Index (B1-B2)/(B1+B2) for all products in PRODCUTSDIR
PRODCUTSDIR=$1	#Products directory
JP2DIR=$2	#JP2 Directory
POLYGON=$3	#WKT Polygon
OUTPUTDIR=$4	#Process output
B1=$5		
B2=$6
count=1
echo $POLYGON
BOX=$(python3 $HOME/GeoSentinel/geosentinel/polygonToBox.py "$POLYGON")
echo $BOX

cd $PRODCUTSDIR

for f in $(find . -type f -name '*.zip')
do 

	filepattern=$(echo $f | cut -d"_" -f6)"_"$(echo $f | cut -d"_" -f3)"_B"
	filename=$JP2DIR$filepattern
	echo $filename
	if [ ! -e $filename$B1".jp2" -o ! -e $filename$B2".jp2" ]; then

		unzip -n -j $f *B$B1".jp2" *B$B2".jp2" -d $JP2DIR 
	fi

	
	cd $JP2DIR
#	B1FN=$(ls $filepattern$B1".jp2" -t |head -1)
#	B2FN=$(ls $filepattern$B2".jp2" -t |head -1)
	B1FN=$filepattern$B1".jp2"
	B2FN=$filepattern$B2".jp2"

	echo "B1-"$B1FN
	echo "B2-"$B2FN

	if [ ! -d $OUTPUTDIR ]; then
		mkdir $OUTPUTDIR
	fi

	fileout1=$(echo $filepattern | cut -d"_" -f1)
        fileout2=$(echo $filepattern | cut -d"_" -f2)

	if [ ! -e $OUTPUTDIR"/"$fileout2"_"$fileout1".tiff" ]; then
		python3 $HOME/GeoSentinel/geosentinel/normalizedIndex.py $B1FN $B2FN $OUTPUTDIR"/"$fileout2"_"$fileout1".tiff"
	fi

	cd $OUTPUTDIR 
        if [ ! -d $fileout1 ]; then
                mkdir $fileout1 
        fi
	cd ..

        if [  ! -e $OUTPUTDIR$fileout1/$fileout2"_"$fileout1".jpg" ]; then
		gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -scale 0 255 0 255 -of JPEG $OUTPUTDIR$fileout2"_"$fileout1".tiff" $OUTPUTDIR$fileout1/$fileout2"_"$fileout1".jpg"
	fi

	cd $PRODCUTSDIR

done
cd $OUTPUTDIR
for d in */; do
    # Will print */ if no directories are available
	cd $d
		VIDEONAME=$(echo $d/ | cut -d"/" -f1)
#		ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p $VIDEONAME.mp4
		rm *.xml
	cd ..
done


