#!/bin/sh
PRODCUTSDIR=$1	#Products directory
JP2DIR=$2	#JP2 Directory
POLYGON=$3	#Crop Window

BOX=$(python3 $HOME/GeoSentinel/geosentinel/polygonToBox.py "$POLYGON")

cd $PRODCUTSDIR
for f in $(find . -type f -name '*.zip')
do 

	filepattern=$(echo $f | cut -d"_" -f6)"_"$(echo $f | cut -d"_" -f3)"_B"
	filename=$JP2DIR$filepattern
	echo $filename
	if [  ! -e $filename"02.jp2" -o ! -e $filename"03.jp2" -o ! -e $filename"04.jp2" ]; then

		unzip -n -j $f *B02.jp2 *B03.jp2 *B04.jp2 -d $JP2DIR 
	else
		echo PASS $f
	fi
	
	cd $JP2DIR
	red=$(ls $filepattern"04.jp2" -t |head -1)
	green=$(ls $filepattern"03.jp2" -t |head -1)
	blue=$(ls $filepattern"02.jp2" -t |head -1)

	echo "red-"$red
	echo "gre-"$green
	echo "blu-"$blue

	if [ ! -d "rgb" ]; then
		mkdir rgb
	fi

	fileout1=$(echo $filepattern | cut -d"_" -f1)
        fileout2=$(echo $filepattern | cut -d"_" -f2)

	
	if [  ! -e rgb/$fileout2"_"$fileout1".tiff" ]; then
		gdal_merge.py -separate -co PHOTOMETRIC=RGB -o rgb/$fileout2"_"$fileout1".tiff" $filepattern"04.jp2" $filepattern"03.jp2" $filepattern"02.jp2"
	fi


	cd rgb 
        if [ ! -d $fileout1 ]; then
                mkdir $fileout1 
        fi
	cd ..

        if [  ! -e rgb/$fileout1/$fileout2"_"$fileout1".jpg" ]; then

	        gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -scale 0 4096 0 255 -of JPEG rgb/$fileout2"_"$fileout1".tiff" rgb/$fileout1/$fileout2"_"$fileout1".jpg"
#	        convert rgb/$fileout1/$fileout2"_"$fileout1"_t.jpg" -resize 640x480\!  rgb/$fileout1/$fileout2"_"$fileout1".jpg"
#		rm rgb/$fileout1/$fileout2"_"$fileout1"_t.jpg"
	fi

	cd $PRODCUTSDIR
done
#        if [ ! -d "video" ]; then
#                mkdir video 
#        fi

cd $JP2DIR"rgb/"
for d in */; do
    # Will print */ if no directories are available
	cd $d
#		VIDEONAME=$(echo $d/ | cut -d"/" -f1)
#		ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p $VIDEONAME.mp4
		rm *.xml
	cd ..
done

#ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p rgb.mp4

