#!/bin/sh
PRODCUTSDIR=$1	#Products directory
JP2DIR=$2	#JP2 Directory
POLYGON=$3	#Crop Window

BOX=$(python3 $HOME/GeoSentinel/geosentinel/polygonToBox.py "$POLYGON")

break
cd $PRODCUTSDIR
for f in $(find . -type f -name '*.zip')
do 

	filepattern=$(echo $f | cut -d"_" -f6)"_"$(echo $f | cut -d"_" -f3)"_"
	filename=$JP2DIR$filepattern
	echo $filename
	if [  ! -e $filename"TCI_10m.jp2"  ]; then

		unzip -n -j $f *TCI_10m.jp2 -d $JP2DIR
		L2ANAME=$JP2DIR"L2A_"$filepattern"TCI_10m.jp2"
		if [ -e $L2ANAME ]; then
			mv $L2ANAME $filename"TCI_10m.jp2"
		fi
	else
		echo PASS $f
	fi

	RGBCROPED=$JP2DIR"rgbCroped/"
	if [ ! -d $RGBCROPED ]; then
		mkdir $RGBCROPED
	fi

	fileout1=$(echo $filepattern | cut -d"_" -f1)
        fileout2=$(echo $filepattern | cut -d"_" -f2)

        if [ ! -d $RGBCROPED$fileout1 ]; then
                mkdir $RGBCROPED$fileout1
        fi
	echo $BOX
	OUTIMG=$JP2DIR"rgbCroped/"$fileout1/$fileout2"_"$fileout1"_10m.jpg"
#        if [  ! -e $OUTIMG ]; then

	        gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $filename"TCI_10m.jp2" $OUTIMG
		wktToShape.py "$POLYGON" myShape.shp
		gdal_rasterize -b 1 -b 2 -b 3 -burn 10 -burn 200 -burn 10 -l wtk myShape.shp $OUTIMG.tiff

		rm myShape.*
##	        convert rgb/$fileout1/$fileout2"_"$fileout1"_t.jpg" -resize 640x480\!  rgb/$fileout1/$fileout2"_"$fileout1".jpg"
##		rm rgb/$fileout1/$fileout2"_"$fileout1"_t.jpg"
#	fi

#	cd $PRODCUTSDIR
done
cd $JP2DIR 
find . -name *.xml -type f -delete 
find . -name myShape.* -type f -delete 

##        if [ ! -d "video" ]; then
##                mkdir video 
##        fi

#cd $JP2DIR"rgb/"
#for d in */; do
#    # Will print */ if no directories are available
#	cd $d
##		VIDEONAME=$(echo $d/ | cut -d"/" -f1)
##		ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p $VIDEONAME.mp4
#		rm *.xml
#	cd ..
#done

##ffmpeg  -i %*.jpg -c:v libx264 -vf fps=10 -pix_fmt yuvj422p rgb.mp4

